classification
Title: re match object methods have no docstrings
Type: behavior Stage: resolved
Components: Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add docstrings to regular expression match objects
View: 16443
Assigned To: Nosy List: SilentGhost, eric.araujo, nedbat, serhiy.storchaka, terry.reedy
Priority: normal Keywords:

Created on 2011-06-24 12:46 by nedbat, last changed 2013-01-26 15:19 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg138937 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2011-06-24 12:46
If I have a match object in hand, and ask for help on its methods, there is no information:

>>> m = re.match("a", "a")
>>> help(m.group)
Help on built-in function group:

group(...)

>>>
msg138959 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2011-06-24 16:20
2.6 is in security-only mode, if I'm not mistaken.
msg139008 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-06-25 00:26
Yes, and ditto for 3.1.
msg180680 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-26 15:19
Fixed in issue16443.
History
Date User Action Args
2013-01-26 15:19:45serhiy.storchakasetstatus: open -> closed

superseder: Add docstrings to regular expression match objects

nosy: + serhiy.storchaka
messages: + msg180680
resolution: duplicate
stage: resolved
2011-09-13 15:00:52eric.araujosetnosy: + eric.araujo
2011-06-25 00:26:06terry.reedysetnosy: + terry.reedy

messages: + msg139008
versions: - Python 3.1
2011-06-24 16:20:25SilentGhostsetnosy: + SilentGhost

messages: + msg138959
versions: - Python 2.6
2011-06-24 12:46:43nedbatcreate